﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace PInvoke {
    public partial class MainForm : Form {
        public MainForm() {
            InitializeComponent();
        }

        private void invokeButton_Click(object sender, EventArgs e) {
            var sb = new StringBuilder(128);
            NativeMethods.GetWindowText(this.Handle.ToInt32(), sb, sb.Capacity);
            MessageBox.Show(sb.ToString());
        }


        private class NativeMethods {

            [DllImport("User32.dll")]
            public static extern int GetWindowText(int handle, StringBuilder s, int MaxCount);

        }

    }
}
